%define major		2
%define libname		%mklibname ast %{major}
%define develname	%mklibname ast -d

Summary:	Library of Assorted Spiffy Things 
Name:		libast
Version:	0.7
Release:	%mkrel 11
URL:		http://www.eterm.org/
Group:		System/Libraries
License:	BSD
Source:		%{name}-%{version}.tar.bz2
BuildRequires:	imlib2-devel
BuildRequires:	pcre-devel
BuildRequires:	libxt-devel

%package -n	%{libname}
Summary:	Library of Assorted Spiffy Things
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%package -n	%{develname}
Summary:	Development related files for LibAST
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname ast 2 -d}

%description
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -n	%{libname}
LibAST is the Library of Assorted Spiffy Things.  It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions.  It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -n	%{develname}
Install this package if you need to compile applications that needs
%{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%multiarch_binaries %{buildroot}%{_bindir}/*-config
%multiarch_includes %{buildroot}%{_includedir}/libast/sysdefs.h

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc README 
%{_libdir}/lib*.so.*

%files  -n %{develname}
%defattr(-,root,root)
%doc README
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/*
%multiarch %{multiarch_includedir}/libast/sysdefs.h
%{_datadir}/aclocal/*.m4
%{_bindir}/*-config
%multiarch %{multiarch_bindir}/*-config




%changelog
* Tue Apr 19 2011 ennael <ennael> 0.7-11.mga1
+ Revision: 88301
- clean spec file
- imported package libast


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-11mdv2011.0
+ Revision: 602521
- rebuild

* Thu Apr 22 2010 Matthew Dawkins <mattydaw@mandriva.org> 0.7-10mdv2010.1
+ Revision: 537843
- disabled static build
  cleaned up specfile

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-9mdv2010.1
+ Revision: 520751
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7-8mdv2010.0
+ Revision: 425516
- rebuild

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-7mdv2009.1
+ Revision: 301470
- rebuilt against new libxcb

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.7-6mdv2009.0
+ Revision: 222503
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.7-5mdv2008.1
+ Revision: 170945
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 17 2007 Adam Williamson <awilliamson@mandriva.org> 0.7-3mdv2008.0
+ Revision: 53054
- rebuild for 2008
- new devel policy
- Import libast



* Wed Jun 07 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7-2mdv2007.0
- fix buildrequires

* Fri Apr 14 2006 Stew Benedict <sbenedict@mandriva.com> 0.7-1mdk
- 0.7: fixes CVE-2006-0224

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.1-3mdk
- Rebuild

* Wed Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.6.1-2mdk
- Remove mmx toggling, Eterm already has mmx support included into
  package for ages and nobody complained. I wonder who is running
  Eterm inside a non-MMX pentium I.

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.6.1-1mdk
- New version
- Remove patch (upstream)
- multiarch

* Sat May 29 2004 Abel Cheung <deaddog@deaddog.org> 0.5-4mdk
- Patch0: automake 1.8 compatibility

* Mon Sep  1 2003 Abel Cheung <deaddog@deaddog.org> 0.5-3mdk
- mklibname
- various spec tweaks
- rasterman stuff are using BSD license

* Sun Apr 20 2003 Stefan van der Eijk <stefan@eijk.nu> 0.5-2mdk
- BuildRequires: gettext-devel

* Fri Jan 24 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.5-1mdk
- 0.5
- remove cleaning patch
- some spec cleanups
- don't do "make test".. the author's spec doesn't and one test fails

* Sun Nov 17 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4-4mdk
- BuildRequires

* Thu Oct 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4-3mdk
- Costlessly make check in %%build
- Patch0: Clean configure of any reference to -I/usr/include or
  -L/usr/lib. Assume, we have a prefix of /usr here.

* Fri Jun 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.4-2mdk
- added requires
- recompiled for libintl2

* Thu Nov 22 2001 Vincent Guardiola  <vguardiola@mandrakesoft.com> 0.4-1mdk
-  Initial packaging
